<!doctype html>
<html lang="en">
<head>
    <title>Head First Go: Chapter One</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
  <link rel="shortcut icon" href="/assets/img/logo.png" type="image/png">
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- link rel="shortcut icon" href="/assets/img/logo.png" type="image/png"-->
  <link rel="stylesheet" href="/assets/styles.css">
</head>
<body>
<header class=nav-bar>
  <nav>
    <div class=sidebar-button></div>
    <!--div id=bwtoggle></div-->
    <a class="homelink spy" href="/">r<span class=hideable>wx.gg</span></a>
    <div class="nav-right">
      <!-- div id=search-box></div -->
      <ul class=nav-links>
        <li class=nav-item><a class=nav-link href="/boost/">Boosts</a></li>
        <!--
        <li class=nav-item><a class=nav-link href="/how/">HowTos</a></li>
        <li class=nav-item><a class=nav-link href="/contrib/">Contribute</a></li>
        -->
        <li class=nav-item><a class="nav-link" href="https://gitlab.com/rwx.gg/README">GitLab</a></li>
        <li class=nav-item><a class="nav-link" href="https://www.youtube.com/rwxrob">YouTube</a></li>
        <li class=nav-item><a class="nav-link" href="https://discord.gg/9wydZXY">Discord</a></li>
        <li class=nav-item><a class="nav-link" href="https://twitch.tv/rwxrob">Twitch</a></li>
      </ul>
    </div>
  </nav>
</header>
<main id=top>
<div class=container>  <h1 id=title class=duck><a href="https://duckduckgo.com/lite?kae=t&q=Head First Go: Chapter One">Head First Go: Chapter One</a></h1>
  <h2 id=subtitle>Let’s Get Going: Syntax Basics (Annotations)</h2>
  <p>Hello world is hello world. Nothing fancy to see there.</p>
  <p>Use the Go community convention of naming the file with the <code>func main()</code> in it <code>main.go</code> so you can find it easier.</p>
  <p>Here’s a version that introduces emojis as <em>runes</em> as well as the <code>fmt.Printf()</code> function:</p>
  <pre class="go"><code>package main

  import (
      &quot;fmt&quot;
      &quot;math&quot;
      &quot;strings&quot;
  )

  func main() {
      fmt.Println(math.Floor(2.75))
      fmt.Println(strings.Title(&quot;head first go&quot;))
      a := &#39;🙂&#39;
      fmt.Printf(&quot;The letter &#39;%c&#39;: %b\n&quot;, a, a)
  }</code></pre>
</main>
<footer>
  <p><a href="/copyright/" id=copyright>© 2020 Rob Muhlestein. Licensed under Creative Commons Attribution-ShareAlike.</a><br/>Does something seem to have changed? <a href="/changes/">Check the change log</a>.
  <br>See something wrong? <a class="nodecor" href="https://gitlab.com/rwx.gg/README/-/issues">Open a ticket</a>.
  </p>
</footer>
<script src="/assets/main.js"></script>
</body>
</html>